nxt.http.callers

## Class DecryptFromCall

- java.lang.Object
- - nxt.http.APICall.Builder<DecryptFromCall>
  - - nxt.http.callers.DecryptFromCall

-     public class DecryptFromCall
      extends APICall.Builder<DecryptFromCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DecryptFromCall` | `account(long account)`
    `DecryptFromCall` | `account(java.lang.String account)`
    `static DecryptFromCall` | `create()`
    `DecryptFromCall` | `data(java.lang.String data)`
    `DecryptFromCall` | `decryptedMessageIsText(boolean decryptedMessageIsText)`
    `DecryptFromCall` | `nonce(java.lang.String nonce)`
    `DecryptFromCall` | `uncompressDecryptedMessage(java.lang.String uncompressDecryptedMessage)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static DecryptFromCall create()

    - #### decryptedMessageIsText

          public DecryptFromCall decryptedMessageIsText(boolean decryptedMessageIsText)

    - #### data

          public DecryptFromCall data(java.lang.String data)

    - #### uncompressDecryptedMessage

          public DecryptFromCall uncompressDecryptedMessage(java.lang.String uncompressDecryptedMessage)

    - #### nonce

          public DecryptFromCall nonce(java.lang.String nonce)

    - #### account

          public DecryptFromCall account(java.lang.String account)

    - #### account

          public DecryptFromCall account(long account)